package fernandoalvarez.eventizer.Contacts

import android.support.v7.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import fernandoalvarez.eventizer.Model.User
import fernandoalvarez.eventizer.R
import kotlinx.android.synthetic.main.activity_add_contact.*

private lateinit var addContactPresenter : AddContactPresenter

class AddContactActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_add_contact)
        addContactPresenter = AddContactPresenter(this)
        listenersSetup()
    }

    private fun listenersSetup()
    {
            addContactButton.setOnClickListener {
                if (contactEmailField.text.isNotBlank())
                addContactPresenter.addNewContact(contactEmailField.text.toString())
                contactEmailField.text.clear()
            }

    }

    fun showAddedUserMessage(user: User)
    {
        Toast.makeText(this, user.username + " añadido a tus contactos", Toast.LENGTH_SHORT).show()
    }

}
