package fernandoalvarez.eventizer.Register

import com.google.android.gms.tasks.Task
import com.google.firebase.auth.AuthResult
import fernandoalvarez.eventizer.FirebaseUtil

class RegisterPresenter (private val registerActivity: RegisterActivity) {

    fun registerUser(email: String, password: String, username: String) {
        FirebaseUtil.registerUserAuth(email, password).addOnCompleteListener { task: Task<AuthResult> ->
            if (task.isSuccessful) {
                FirebaseUtil.registerUserDb(email, username)
                registerActivity.goToLoginForm()
            }
        }
    }

}